ACLOCAL_AMFLAGS=-I m4

EXTRA_DIST = #

abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@

lib_LTLIBRARIES = # libsecrecy.la

# libsecrecy_la_SOURCES = # libsecrecy/t.cpp 

noinst_HEADERS = # 

MANPAGES = apps/secrecy.1
man_MANS = ${MANPAGES}
EXTRA_DIST = ${MANPAGES}

#libsecrecy_la_CPPFLAGS = ${AM_CPPFLAGS} @LIBSECRECYCPPFLAGS@ @ZLIBCPPFLAGS@ @NETTLECPPFLAGS@ @GPGMECPPFLAGS@ @LIBDEFLATECPPFLAGS@
#libsecrecy_la_CXXFLAGS = @LIBSECRECYCXXFLAGS@ ${AM_CXXFLAGS} @WARNCXXFLAGS@
#libsecrecy_la_LDFLAGS = @LIBSECRECYLDFLAGS@ -version-info ${LIBRARY_VERSION} @NETTLELDFLAGS@ @GPGMELDFLAGS@ @LIBDEFLATELDFLAGS@
#libsecrecy_la_LIBADD = @ZLIBLIBS@ @NETTLELIBS@ @GPGMELIBS@ @LIBDEFLATELIBS@

libsecrecy_includedir=$(includedir)/libsecrecy/
libsecrecy_include_HEADERS=\
	libsecrecy/AESEncryptKey.hpp \
	libsecrecy/libsecrecy.hpp \
	libsecrecy/GCMCryptBase.hpp \
	libsecrecy/GCMDecrypter.hpp \
	libsecrecy/GCMEncrypter.hpp \
	libsecrecy/GCMFactoryBase.hpp \
	libsecrecy/GCMIV.hpp \
	libsecrecy/GCMInputStreamBuffer.hpp \
	libsecrecy/GCMInputStream.hpp \
	libsecrecy/GCMOutputStreamBuffer.hpp \
	libsecrecy/GCMOutputStream.hpp \
	libsecrecy/GCMStreamBase.hpp \
	libsecrecy/GCMStreamBlockHeader.hpp \
	libsecrecy/GCMStreamHeader.hpp \
	libsecrecy/GPGMEContext.hpp \
	libsecrecy/GPGMEErrorBase.hpp \
	libsecrecy/GPGMEInputStreamWrapper.hpp \
	libsecrecy/GPGMEInputStringWrapper.hpp \
	libsecrecy/GPGMEOutputStreamWrapper.hpp \
	libsecrecy/GPGMEOutputStringWrapper.hpp \
	libsecrecy/GPGMEOutputLockedStringWrapper.hpp \
	libsecrecy/GPGMEVersionCheck.hpp \
	libsecrecy/LockedMemory.hpp \
	libsecrecy/NumToHex.hpp \
	libsecrecy/RawKey.hpp \
	libsecrecy/SecrecyKeyValueStore.hpp \
	libsecrecy/Yarrow.hpp
	
EXTRA_PROGRAMS = # 

noinst_PROGRAMS = testEncDec testSeek
bin_PROGRAMS = secrecy

testEncDec_SOURCES = test/testEncDec.cpp
testEncDec_LDADD = @NETTLELIBS@ @GPGMELIBS@
testEncDec_CXXFLAGS = ${AM_CXXFLAGS} @WARNCXXFLAGS@

testSeek_SOURCES = test/testSeek.cpp
testSeek_LDADD = @NETTLELIBS@ @GPGMELIBS@
testSeek_CXXFLAGS = ${AM_CXXFLAGS} @WARNCXXFLAGS@

secrecy_SOURCES = apps/secrecy.cpp
secrecy_LDADD = @NETTLELIBS@ @GPGMELIBS@
secrecy_CXXFLAGS = ${AM_CXXFLAGS} @WARNCXXFLAGS@
